Skip to main content

GET v3/products

GET 

/v3/products

List your products, with filters and pagination.

Allows the retrieval of multiple products and their related details. This endpoint supports pagination and various filters as indicated below.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only cursor-based pagination.

Filters​

The GET v3/products endpoint supports filtering on the following attributes: sku and barcode. Each of these is explained below. Filters can be used in combination with each other and with pagination to allow full access to the desired subset of product resources.

Filtering on sku​

The endpoint allows setting a filter on the sku of products. The filter accepts multiple sku values, each of which must be URL encoded and separated by a comma. Each sku returns at most one product resource but could also return none. Be aware that the SKUs must be URL encoded to avoid being interpreted incorrectly.

  • GET {host}/v3/products?filter[sku][in]=ABC,DEF will return the products with sku ABC and DEF.
  • GET {host}/v3/products?filter[sku][in]=ABC%2CDEF will return the product with the sku ABC,DEF.

Filtering on barcode​

The endpoint allows setting a filter on the barcode of products. The filter accepts multiple barcode values, each of which must be URL encoded and separated by a comma. Each barcode returns at most one product resource but could also return none. Be aware that the barcodes must be URL encoded to avoid being interpreted incorrectly.

  • GET {host}/v3/products?filter[barcode][in]=848017,748222 will return the products with barcodes 848017 and 748222.
  • GET {host}/v3/products?filter[barcode][in]=848017%2C748222 will return the product with the barcode 848017,748222.

This endpoint does not support inclusion of other resources.

Limitations of GET v3/products​

When using this endpoint, expect the following limits on the result set:

  • At most 100 products will be returned regardless of the page[size] settings provided in the request.
  • Ordering is based on the id of the product in ascending order.
  • When providing multiple filters they will all be applied (so both filter[sku][in] and filter[barcode][in], will result in products having both these values).
  • Users are rate-limited to 5000 requests per hour on this service.

Request​

Responses​

A successful response consists of zero or more product resources being returned as part of the data element in the response body that match the filtering and pagination query parameters provided in the request. Also, a set of pagination links will be returned to assist with further invocations of the endpoint.